#delimit;
clear all;
set more off;
set mem 1G;


local data_dir = "Output";
local out_dir = "Figures";

*****************Figure 1********************************************************************;
/*
local file_name = "canmex8999_bar"; 
local fig_name = "fig1";
local x_axis_text "cumulative fraction of 1989 export value";			 
local y_axis_text "fraction of 1999 export value";
local temp_in = "`data_dir'" + "\" + "`file_name'" + ".txt";
local y_axis_values "0(0.05)0.35";
insheet using `temp_in';
gen label_y = value;
replace label_y = label_y + 0.01 in 4;
replace label_y = label_y + 0.005 in 8;
*/
*********************Figure 3****************************************************************;
/*
local file_name = "mexcan8999_bar";
local fig_name = "fig3"; 
local x_axis_text "cumulative fraction of 1989 export value";			 
local y_axis_text "fraction of 1999 export value";
local y_axis_values "0(0.05)0.35";
local temp_in = "`data_dir'" + "\" + "`file_name'" + ".txt";
insheet using `temp_in';
gen label_y = value;
replace label_y = label_y + 0.012 in 7;
*/
*********************Figure 5****************************************************************;
/*
local file_name = "chnusa9505_bar"; 
local fig_name = "fig5"; 
local x_axis_text "cumulative fraction of 1995 export value";			 
local y_axis_text "fraction of 2005 export value";
local y_axis_values "0(0.05)0.35";
local temp_in = "`data_dir'" + "\" + "`file_name'" + ".txt";
insheet using `temp_in';
gen label_y = value;
replace label_y = label_y + 0.012 in 2;
replace label_y = label_y - 0.005 in 4;
replace label_y = label_y - 0.005 in 6;
*/
*********************Figure 6****************************************************************;
/*
local file_name = "usachn9505_bar"; 
local fig_name = "fig6"; 
local x_axis_text "cumulative fraction of 1995 export value";			 
local y_axis_text "fraction of 2005 export value";
local y_axis_values "0(0.05)0.35";
local temp_in = "`data_dir'" + "\" + "`file_name'" + ".txt";
insheet using `temp_in';
gen label_y = value;
replace label_y = label_y - 0.005 in 5;
*/
*********************Figure 9****************************************************************;
/*
local file_name = "ukkusa8999_bar"; 
local fig_name = "fig9"; 
local x_axis_text "cumulative fraction of 1989 export value";			 
local y_axis_text "fraction of 1999 export value";
local y_axis_values "0(0.05)0.35";
local temp_in = "`data_dir'" + "\" + "`file_name'" + ".txt";
insheet using `temp_in';
gen label_y = value;
replace label_y = label_y + 0.012 in 4;
replace label_y = label_y + 0.012 in 5;
*/
*********************Figure 10****************************************************************;

local file_name = "usaukk8999_bar"; 
local fig_name = "fig10"; 
local x_axis_text "cumulative fraction of 1989 export value";			 
local y_axis_text "fraction of 1999 export value";
local y_axis_values "0(0.05)0.35";
local temp_in = "`data_dir'" + "\" + "`file_name'" + ".txt";
insheet using `temp_in';
gen label_y = value;
replace label_y = label_y - 0.005 in 5;

**********************************************************************************************;

gen y_lab = number;
format y_lab %3.1f;

graph set window fontface "Arial";

graph twoway (bar value bin, col(black) barw(0.07) yline(0.1 ,lwidth(0.25 ) lcolor(black)))
				(scatter label_y bin, ms(none) mlabc(black) mla(y_lab) mlabpos(12) mlabg(1.5) mlabs(medsmall)),
				leg(off)
				xsize(6)
				ysize(3.5)
				ylab(`y_axis_values',nogrid tp(crossing) format(%3.2f) labsize(medsmall) angle(horizontal) labgap(vsmall))
				xlab(0.1(0.1)1.0,nogrid notick tp(crossing) format(%2.1f) labsize(medsmall) labgap(vsmall))
				xti("`x_axis_text'", margin(top) size(medium))
				yti("`y_axis_text'", margin(right) size(medium))
				plotregion(lstyle(none) margin(sides) color(white))
				graphregion(color(white) 
				
);

local temp_out = "`out_dir'" + "\" + "`fig_name'";
graph export `temp_out'.eps, replace;


